/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */


package es.mpt.dsic.firma.cliente.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for resultadoFirma complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="resultadoFirma">
 *   &lt;complexContent>
 *     &lt;extension base="{http://service.ws.inside.dsic.mpt.es/}contenidoSalida">
 *       &lt;sequence>
 *         &lt;element name="formatoFirma" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="modoFirma" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="algoritmoFirma" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="datosEntrada" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="datosFirmados" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="contenidoFirma" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="fechaFirma" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="datosFirmante" type="{http://service.ws.inside.dsic.mpt.es/}datosFirmante"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "resultadoFirma", propOrder = {
    "formatoFirma",
    "modoFirma",
    "algoritmoFirma",
    "datosEntrada",
    "datosFirmados",
    "contenidoFirma",
    "fechaFirma",
    "datosFirmante"
})
public class ResultadoFirma
    extends ContenidoSalida
{

    @XmlElement(required = true)
    protected String formatoFirma;
    @XmlElement(required = true)
    protected String modoFirma;
    @XmlElement(required = true)
    protected String algoritmoFirma;
    @XmlElement(required = true)
    protected String datosEntrada;
    @XmlElement(required = true)
    protected String datosFirmados;
    @XmlElement(required = true)
    protected String contenidoFirma;
    @XmlElement(required = true)
    protected String fechaFirma;
    @XmlElement(required = true)
    protected DatosFirmante datosFirmante;

    /**
     * Gets the value of the formatoFirma property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFormatoFirma() {
        return formatoFirma;
    }

    /**
     * Sets the value of the formatoFirma property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFormatoFirma(String value) {
        this.formatoFirma = value;
    }

    /**
     * Gets the value of the modoFirma property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getModoFirma() {
        return modoFirma;
    }

    /**
     * Sets the value of the modoFirma property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setModoFirma(String value) {
        this.modoFirma = value;
    }

    /**
     * Gets the value of the algoritmoFirma property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAlgoritmoFirma() {
        return algoritmoFirma;
    }

    /**
     * Sets the value of the algoritmoFirma property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAlgoritmoFirma(String value) {
        this.algoritmoFirma = value;
    }

    /**
     * Gets the value of the datosEntrada property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatosEntrada() {
        return datosEntrada;
    }

    /**
     * Sets the value of the datosEntrada property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatosEntrada(String value) {
        this.datosEntrada = value;
    }

    /**
     * Gets the value of the datosFirmados property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatosFirmados() {
        return datosFirmados;
    }

    /**
     * Sets the value of the datosFirmados property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatosFirmados(String value) {
        this.datosFirmados = value;
    }

    /**
     * Gets the value of the contenidoFirma property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContenidoFirma() {
        return contenidoFirma;
    }

    /**
     * Sets the value of the contenidoFirma property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContenidoFirma(String value) {
        this.contenidoFirma = value;
    }

    /**
     * Gets the value of the fechaFirma property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFechaFirma() {
        return fechaFirma;
    }

    /**
     * Sets the value of the fechaFirma property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFechaFirma(String value) {
        this.fechaFirma = value;
    }

    /**
     * Gets the value of the datosFirmante property.
     * 
     * @return
     *     possible object is
     *     {@link DatosFirmante }
     *     
     */
    public DatosFirmante getDatosFirmante() {
        return datosFirmante;
    }

    /**
     * Sets the value of the datosFirmante property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatosFirmante }
     *     
     */
    public void setDatosFirmante(DatosFirmante value) {
        this.datosFirmante = value;
    }

}
